## ndppd 0.2.5

=== Makefile ===
ifdef DEBUG
CXXFLAGS ?= -g -DDEBUG
else
CXXFLAGS ?= -O3
endif

PREFIX  ?= /usr/local
CXX     ?= g++
GZIP    ?= /bin/gzip
MANDIR  ?= ${DESTDIR}${PREFIX}/share/man
SBINDIR ?= ${DESTDIR}${PREFIX}/sbin

LIBS     =

OBJS     = src/logger.o src/ndppd.o src/iface.o src/proxy.o src/address.o \
           src/rule.o src/session.o src/conf.o src/route.o

all: ndppd ndppd.1.gz ndppd.conf.5.gz

install: all
	mkdir -p ${SBINDIR} ${MANDIR} ${MANDIR}/man1 ${MANDIR}/man5
	cp ndppd ${SBINDIR}
	chmod +x ${SBINDIR}/ndppd
	cp ndppd.1.gz ${MANDIR}/man1
	cp ndppd.conf.5.gz ${MANDIR}/man5

ndppd.1.gz:
	${GZIP} < ndppd.1 > ndppd.1.gz

ndppd.conf.5.gz:
	${GZIP} < ndppd.conf.5 > ndppd.conf.5.gz

ndppd: ${OBJS}
	${CXX} -o ndppd ${LDFLAGS} ${LIBS} ${OBJS}

.cc.o:
	${CXX} -c ${CPPFLAGS} $(CXXFLAGS) -o $@ $<

clean:
	rm -f ndppd ndppd.conf.5.gz ndppd.1.gz ${OBJS}

## ndppd 0.2.4

=== debian/changelog ===
ndppd (0.2.4-1) unstable; urgency=medium

  * New upstream version.
  * New ndppd-dbg package with the debug symbols.
  * Added Multi-Arch specifications.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Tue, 13 Oct 2015 14:44:25 +0200

ndppd (0.2.3-2) unstable; urgency=medium

  * Initial upload. (Closes: #644932)

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sat, 10 Oct 2015 23:09:50 +0200

=== debian/control ===
Source: ndppd
Section: net
Priority: extra
Maintainer: Jean-Michel Vourgère <nirgal@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/DanielAdolfsson/ndppd/
Vcs-Git: git://anonscm.debian.org/collab-maint/ndppd.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ndppd.git

Package: ndppd
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: daemon that proxies IPv6 NDP messages
 ndppd is a daemon that proxies certain IPv6 NDP messages between two or
 more interfaces. It currently supports proxying Neighbor Solicitation
 Messages and Neighbor Advertisement messages in order to allow IPv6
 routing without relying on Linux "proxy_ndp". 
 .
 The daemon is partially compliant with (experimental) RFC4389.

Package: ndppd-dbg
Architecture: linux-any
Multi-Arch: same
Section: debug
Depends: ndppd (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for IPv6 NDP proxy daemon
 ndppd is a daemon that proxies certain IPv6 NDP messages between two or
 more interfaces.
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk


%:
	dh $@ 

override_dh_installdocs:
	dh_installdocs --link-doc=ndppd

override_dh_strip:
	dh_strip --dbg-package=ndppd-dbg

## ndppd 0.2.5

=== debian/changelog ===
ndppd (0.2.5-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:51:23 +0100

ndppd (0.2.5-6) unstable; urgency=medium

  * postinst script fixing pid file permissions for pre 0.2.5-5 running
    daemons.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Wed, 16 Oct 2019 23:50:26 +0200

ndppd (0.2.5-5) unstable; urgency=medium

  * Patch to umask pid file permissions. (Closes: #942117)
  * Bumped compat to 12.
  * Added Rules-Requires-Root: no.
  * Bumped policy to 4.4.1.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Sat, 12 Oct 2019 13:58:48 +0200

ndppd (0.2.5-4) unstable; urgency=medium

  * Migrated vcs to salsa.
  * Dropped migration to stretch automatic debug package.
  * Bumped standards to 4.2.1:
    - Use https: for copyright format URI.
    - Changed package priority to optional.
  * Bumped compat to 11: No change required.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Fri, 16 Nov 2018 17:26:06 +0100

ndppd (0.2.5-3) unstable; urgency=medium

  * Added dependency on lsb-base, thanks lintian.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Mon, 24 Oct 2016 23:57:20 +0200

ndppd (0.2.5-2) unstable; urgency=medium

  * Drop ndppd-dbg package.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Thu, 21 Apr 2016 03:07:21 +0200

ndppd (0.2.5-1) unstable; urgency=medium

  * New upstream version:
    - Fixed FTBFS with GCC 6. (Closes: #811756)
    - Fixed need to have interface in promiscuous mode.
  * Enabled all compilation hardening.
  * Switched to automatic debug symbols system. ndppd-dbg is now a
    transitionnal package.
  * d/control: Switched Vcs-Git to a secure URL.
  * Bumped policy to 3.9.8: No change required.

 -- Jean-Michel Vourgère <nirgal@debian.org>  Mon, 18 Apr 2016 22:33:13 +0200

=== debian/control ===
Source: ndppd
Section: net
Priority: optional
Maintainer: Jean-Michel Vourgère <nirgal@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.1
Homepage: https://github.com/DanielAdolfsson/ndppd/
Vcs-Browser: https://salsa.debian.org/debian/ndppd
Vcs-Git: https://salsa.debian.org/debian/ndppd.git
Rules-Requires-Root: no

Package: ndppd
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
Description: daemon that proxies IPv6 NDP messages
 ndppd is a daemon that proxies certain IPv6 NDP messages between two or
 more interfaces. It currently supports proxying Neighbor Solicitation
 Messages and Neighbor Advertisement messages in order to allow IPv6
 routing without relying on Linux "proxy_ndp".
 .
 The daemon is partially compliant with (experimental) RFC4389.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk


%:
	dh $@

=== debian/watch ===
version=3
https://github.com/DanielAdolfsson/ndppd/tags/ .*/([\d\.]+)\.(?:tgz|tar\.(?:gz|bz2|xz))
